'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var update = require('immutability-helper');

var Header = function Header(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement(
    'div',
    { className: 'blurb blurb-header-editing' },
    '>',
    React.createElement('input', {
      className: 'blurb-header-editing-src',
      type: 'text',
      value: data.img.src,
      onChange: function onChange(event) {
        return updateData(update(data, {
          img: {
            src: { $set: event.target.value }
          }
        }));
      } }),
    React.createElement('input', {
      className: 'blurb-header-editing-alt',
      type: 'text',
      value: data.img.alt,
      onChange: function onChange(event) {
        return updateData(update(data, {
          img: {
            alt: { $set: event.target.value }
          }
        }));
      } })
  ) : React.createElement(
    'div',
    { className: 'blurb blurb-header' },
    React.createElement('img', { src: data.img.src, alt: data.img.alt })
  );
};

Header.propTypes = {
  data: PropTypes.shape({
    img: PropTypes.shape({
      alt: PropTypes.string,
      src: PropTypes.string
    })
  }),
  isEditing: PropTypes.bool,
  updateData: PropTypes.func
};

module.exports = Header;