'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var ReactMarkdown = require('react-markdown');
var Textarea = require('react-textarea-autosize').default;

var Paragraph = function Paragraph(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement(Textarea, {
    autoFocus: true,
    className: 'blurb blurb-paragraph-editing',
    type: 'text',
    value: data.text,
    onChange: function onChange(event) {
      return updateData({ text: event.target.value });
    } }) : React.createElement(ReactMarkdown, {
    allowedTypes: ['Text', 'Paragraph', 'Softbreak', 'Hardbreak', 'Link', 'Emph', 'BlockQuote', 'List', 'Item', 'Strong'],
    className: 'blurb blurb-paragraph',
    skipHtml: true,
    source: data.text,
    unwrapDisallowed: true });
};

Paragraph.propTypes = {
  data: PropTypes.shape({
    text: PropTypes.string
  }),
  isEditing: PropTypes.bool,
  updateData: PropTypes.func
};

module.exports = Paragraph;