'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var update = require('immutability-helper');

var types = ["red", "orange", "yellow", "green", "blue", "purple", "gray"];

var Section = function Section(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement(
    'div',
    null,
    React.createElement(
      'select',
      {
        autoFocus: false,
        className: 'blurb blurb-section-type-editing',
        value: data.type,
        onChange: function onChange(event) {
          return updateData(update(data, { type: { $set: event.target.value } }));
        } },
      React.createElement(
        'option',
        { value: '' },
        'Select'
      ),
      types.map(function (type) {
        return React.createElement(
          'option',
          { key: type, value: type },
          type
        );
      })
    ),
    React.createElement('input', {
      autoFocus: true,
      className: 'blurb blurb-section-text-editing',
      type: 'text',
      value: data.text,
      onChange: function onChange(event) {
        return updateData(update(data, { text: { $set: event.target.value } }));
      } })
  ) : React.createElement(
    'span',
    { className: 'blurb blurb-section blurb-section-' + data.type },
    data.text
  );
};

Section.propTypes = {
  data: PropTypes.shape({
    type: PropTypes.number,
    text: PropTypes.string
  }),
  isEditing: PropTypes.bool,
  updateData: PropTypes.func
};

module.exports = Section;