'use strict';

var React = require('react');
var PropTypes = require('prop-types');

var Tagline = function Tagline(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement('input', {
    autoFocus: true,
    className: 'blurb blurb-tagline-editing',
    type: 'text',
    value: data.text,
    onChange: function onChange(event) {
      return updateData({ text: event.target.value });
    } }) : React.createElement(
    'span',
    { className: 'blurb blurb-tagline' },
    data.text
  );
};

Tagline.propTypes = {
  data: PropTypes.shape({
    text: PropTypes.string
  }),
  isEditing: PropTypes.bool,
  updateData: PropTypes.func
};

module.exports = Tagline;