'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var ReactMarkdown = require('react-markdown');

var Title = function Title(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement('input', {
    autoFocus: true,
    className: 'blurb blurb-title-editing',
    type: 'text',
    value: data.text,
    onChange: function onChange(event) {
      return updateData({ text: event.target.value });
    } }) : React.createElement(ReactMarkdown, {
    allowedTypes: ['Text', 'Link', 'Emph', 'Strong'],
    className: 'blurb blurb-title',
    containerTagName: 'h1',
    skipHtml: true,
    source: data.text,
    unwrapDisallowed: true });
};

Title.propTypes = {
  data: PropTypes.shape({
    text: PropTypes.string
  }),
  isEditing: PropTypes.bool,
  updateData: PropTypes.func
};

module.exports = Title;