'use strict';

var React = require('react');
var PropTypes = require('prop-types');

var Unsubscribe = function Unsubscribe(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement('input', {
    autoFocus: true,
    className: 'blurb blurb-unsubscribe-editing',
    type: 'text',
    value: data.href,
    onChange: function onChange(event) {
      return updateData({ href: event.target.value });
    } }) : React.createElement(
    'div',
    { className: 'blurb blurb-unsubscribe' },
    React.createElement(
      'p',
      null,
      'Don\'t want these emails? No worries!'
    ),
    React.createElement(
      'p',
      null,
      React.createElement(
        'a',
        { href: data.href, 'data-pm-no-track': true },
        'Click here to unsubscribe.'
      )
    )
  );
};

Unsubscribe.propTypes = {
  data: PropTypes.shape({
    href: PropTypes.string
  }),
  isEditing: PropTypes.bool,
  updateData: PropTypes.func
};

module.exports = Unsubscribe;